com.trendmicro.ds.platform.rest.object.util

## Class FeatureSummaryElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.FeatureSummaryElement

-     public class FeatureSummaryElement
      extends java.lang.Object

  Container for feature summary

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureSummaryElement()`
    `FeatureSummaryElement(int totalComputerNum, java.util.List<FeatureSummaryDetailElement> featureSummaryDetails)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFeatureSummaryDetail(FeatureSummaryDetailElement featureSummaryDetail)` add the featureSummaryDetail value for this FeatureSummaryElement.
    `java.util.List<FeatureSummaryDetailElement>` | `getFeatureSummaryDetails()` Gets the featureSummaryDetails value for this FeatureSummaryElement.
    `int` | `getTotalComputerNum()` Gets the totalComputerNum value for this FeatureSummaryElement.
    `void` | `setTotalComputerNum(int totalComputerNum)` Sets the totalComputerNum value for this FeatureSummaryElement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureSummaryElement

          public FeatureSummaryElement()

    - #### FeatureSummaryElement

          public FeatureSummaryElement(int totalComputerNum,
                                       java.util.List<FeatureSummaryDetailElement> featureSummaryDetails)

  - ### Method Detail

    - #### getTotalComputerNum

          public int getTotalComputerNum()

      Gets the totalComputerNum value for this FeatureSummaryElement.
      Returns:
        totalComputerNum

    - #### setTotalComputerNum

          public void setTotalComputerNum(int totalComputerNum)

      Sets the totalComputerNum value for this FeatureSummaryElement.
      Parameters:
        `totalComputerNum` -

    - #### getFeatureSummaryDetails

          public java.util.List<FeatureSummaryDetailElement> getFeatureSummaryDetails()

      Gets the featureSummaryDetails value for this FeatureSummaryElement.
      Returns:
        featureSummaryDetails

    - #### addFeatureSummaryDetail

          public void addFeatureSummaryDetail(FeatureSummaryDetailElement featureSummaryDetail)

      add the featureSummaryDetail value for this FeatureSummaryElement.
      Parameters:
        `featureSummaryDetail` -

Copyright © 2017 Trend Micro Inc. All Rights Reserved.